import { WaypointDTO } from '../waypoint.dto';

export const hasValidPositionIndexes = (waypoints: WaypointDTO[]): boolean => {
  if (!waypoints) return;
  if (waypoints.every((waypoint) => waypoint.position === undefined))
    return true;
  if (waypoints.every((waypoint) => typeof waypoint.position === 'number')) {
    waypoints.sort((a, b) => a.position - b.position);
    for (let i = 1; i < waypoints.length; i++) {
      if (waypoints[i - 1].position >= waypoints[i].position) return false;
    }
    return true;
  }
  return false;
};
