import { Frequency } from '@modules/ad/core/ad.types';
import { intToFrequency } from '@modules/ad/interface/grpc-controllers/dtos/validators/frequency.mapping';

describe('frequency mapping', () => {
  it('should return punctual if frequency is 1', () => {
    expect(intToFrequency(1)).toBe(Frequency.PUNCTUAL);
  });
  it('should return recurrent if frequency is 2', () => {
    expect(intToFrequency(2)).toBe(Frequency.RECURRENT);
  });
  it('should throw an error if frequency is unknown', () => {
    expect(() => intToFrequency(0)).toThrow();
    expect(() => intToFrequency(3)).toThrow();
  });
});
